package org.colinvella.fancyfish.achievement;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.block.ModBlockRegistry;
import org.colinvella.fancyfish.item.ModItemRegistry;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.stats.Achievement;
import net.minecraft.stats.AchievementList;

public class ModAchievements
{
	public static final Achievement BuildNetting = new Achievement("achievement.BuildNetting", "BuildNetting", 8, 1, ModItemRegistry.Netting, AchievementList.buildWorkBench);
	public static final Achievement BuildFishingNet = new Achievement("achievement.BuildFishingNet", "BuildFishingNet", 10, 1, ModItemRegistry.FishingNet, ModAchievements.BuildNetting);
	public static final Achievement CatchFish = new Achievement("achievement.CatchFish", "CatchFish", 9, 2, ModItemRegistry.CapturedClownFish, ModAchievements.BuildFishingNet);
	public static final Achievement HarvestScales = new Achievement("achievement.HarvestScales", "HarvestScales", 11, -2, ModItemRegistry.RedFishScale, AchievementList.buildSword);
	public static final Achievement BuildLampShade = new Achievement("achievement.BuildLampShade", "BuildLampShade", 13, -4, ModBlockRegistry.LampShade, ModAchievements.HarvestScales);
	public static final Achievement BuildFishScaleSword = new Achievement("achievement.BuildFishScaleSword", "BuildFishScaleSword", 12, -3, ModItemRegistry.FishScaleSword, ModAchievements.HarvestScales);
	public static final Achievement BuildFishScaleAxe = new Achievement("achievement.BuildFishScaleAxe", "BuildFishScaleAxe", 12, -1, ModItemRegistry.FishScaleAxe, ModAchievements.HarvestScales);
	public static final Achievement BuildFishScaleHoe = new Achievement("achievement.BuildFishScaleHoe", "BuildFishScaleHoe", 13, -2, ModItemRegistry.FishScaleHoe, ModAchievements.HarvestScales);
		
	// defines the mod blocks
	public static void registerAchievements()
	{
		logger = FancyFishMod.getLogger();
		logger.info("Registering achievements...");

		registerAchievement(BuildNetting);
		registerAchievement(BuildFishingNet);
		registerAchievement(CatchFish);
		registerAchievement(HarvestScales);
		registerAchievement(BuildLampShade);
		registerAchievement(BuildFishScaleSword);
		registerAchievement(BuildFishScaleAxe);
		registerAchievement(BuildFishScaleHoe);
	}
	
	private static void registerAchievement(Achievement achievement)
	{
		logger.info("Registering achievement " + achievement.getStatName() + "...");
		achievement.func_180788_c();
	}
		
	// private logger reference
	private static ModLogger logger;
}
