package org.colinvella.fancyfish.block;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.init.Blocks;
import net.minecraftforge.fml.common.registry.ExistingSubstitutionException;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class ModBlockRegistry
{
    public static final ModBlock FishTank = new FishTankBlock();
    public static final ModBlock LampShade = new LampShadeBlock();
    public static final ModBlock Kelp = new KelpBlock();
    public static final ModBlock Clam = new ClamBlock();
    
    public static List<ModBlock> getModBlocks()
    {
        return Collections.unmodifiableList(modBlocks);
    }

    public static void registerBlocks()
    {
        logger = FancyFishMod.getLogger();
        
        logger.info("Registering blocks...");
        registerBlock(FishTank);
        registerBlock(LampShade);
        registerBlock(Kelp);
        registerBlock(Clam);
    }

    private static void registerBlock(ModBlock modBlock)
    {
        String id = modBlock.getId();
        logger.info("Registering block " + id + "...");
        GameRegistry.registerBlock((Block)modBlock, (String)id);
        modBlocks.add(modBlock);
    }
    
    private static ModLogger logger;
    private static List<ModBlock> modBlocks = new ArrayList<ModBlock>();

}

