package org.colinvella.fancyfish.configuration;

import java.io.File;

import net.minecraftforge.common.config.Configuration;
import net.minecraftforge.common.config.Property;

public class ModConfiguration
{
	public static void load(File configurationFile)
	{
        configuration = new Configuration(configurationFile);

        configuration.load();

        // define / create properties
        debugLoggingProperty = configuration.get(Configuration.CATEGORY_GENERAL, "Debug Logging", false);
        debugLoggingProperty.comment = "Enable logging for debugging purposes";

        terrainGenerationProperty = configuration.get(Configuration.CATEGORY_GENERAL, "Terrain Generation", true);
        terrainGenerationProperty.comment = "Enable generation of terrain features such as kelp";

        configuration.save();
    }
	
	public static void save()
	{
        configuration.save();
	}
	
	public static Configuration getConfiguration()
	{
		return configuration;
	}
	
	public static boolean getDebugLogging()
	{
        return debugLoggingProperty.getBoolean();
	}

	public static void setDebugLogging(boolean value)
	{
        debugLoggingProperty.set(value);
	}

	public static boolean getTerrainGeneration()
	{
        return terrainGenerationProperty.getBoolean();
	}

	public static void setTerrainGeneration(boolean value)
	{
		terrainGenerationProperty.set(value);
	}

	private static Configuration configuration;
	private static Property debugLoggingProperty;
	private static Property terrainGenerationProperty;
}
