package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class RegalTangEntity extends FishEntity
{
	public static final String ID = "RegalTang";
	
	public static final int PRIMARY_EGG_COLOUR = 0x0085E5;
	public static final int SECONDARY_EGG_COLOUR = 0x333333;
	
	public RegalTangEntity(World world)
	{
		super(world, Species.RegalTang, 0.15, new FishScaleItem[]{ModItemRegistry.BlueFishScale, ModItemRegistry.BlackFishScale, ModItemRegistry.YellowFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new RegalTangEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedRegalTang;
	}
}
